//
// Created by philipp on 20.04.18.
//

#include "../include/VeloxProtocolLib/Connection.h"
#include <iostream>

int main(int argc, char ** argv)
{
    using namespace veloxProtocol;
    networking::Networking net;
    auto conn = Connection::create(net);
    conn->open(
        "/dev/ttySAC0",
        [conn]
        {
            std::cout << "[Update]\nSpeed=" << conn->getMeasuredSpeed().get()
                      << "\nSteering Angle: " << conn->getMeasuredSteeringAngle().get();
        },
        []
        { std::cout << "Connection closed!\n"; });

    for (std::string in; in != "\n"; std::getline(std::cin, in));

    conn->close();

    return 0;
}